All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class CheckBoxCell

    com.sas.table.CheckBoxCell

All Implemented Interfaces:
  ActionSource, CompositeInterface, ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.ObjectDataInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.PublicClonable, CellViewInterface, ValidatorInterface, com.sas.ViewInterface, Alignment, MultipleValueEventSourceInterface, ResizeToFitInterface, SelectableInterface, java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.ItemSelectable, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class CheckBoxCell

implements CellViewInterface

Provides a cell view with the appearance and behavior of a checkbox.

See Also:
  `LabelCell`, Serialized Form

Field Summary
`static ImageView` | `defaultImageView`
`static ImageView` | `selectedImageView`

Fields inherited from class com.sas.visuals.GraphicalCheckBox
`CHECK, CHECK_INVALID, COLOR_CHECK, imageSet, LAMP, LIGHT_BULB, LOCK, MAILBOX, MOON_SUN, offImageView, onImageView, STOP_GO, TRAFFIC_LIGHT, TRASH, XBOX`

Fields inherited from class com.sas.visuals.ToggleButton
`contentShift, label, textBounds`

Fields inherited from class com.sas.visuals.BaseButton
`actionCommand, actionListenerList, borderPainted, BOTTOM, buttonListener, buttonModel, currentInsets, defaultIcon, disabledIcon, displayTransform, focusGap, focusPainted, gap, hasFocus, horizontalAlignment, horizontalTextAlignment, item, itemListenerList, LEFT, pressedIcon, resizeToFit, RIGHT, rolloverIcon, selectedIcon, text, textPosition, TOP, updateItem, updateText, verticalAlignment, verticalTextAlignment`

Fields inherited from interface com.sas.table.CellViewInterface
`FORMATTED_DATA, RAW_DATA`

Fields inherited from interface com.sas.visuals.Alignment
`BEGIN, CENTER, END`

Constructor Summary
`CheckBoxCell()`

Method Summary
`protected void` | `buttonModelSelected(ButtonModelInterface btnModel)` Handles change in buttonModel selected property.
`Cell` | `getCell()` Returns the Cell this view is associated with.
`java.lang.String` | `getFormattedData()` Returns the cell view's data as a formatted string.
`int` | `getMinimumHeight(java.awt.Graphics g)` Returns the minimum amount of vertical space needed to display the cell in the given graphics context.
`int` | `getMinimumWidth(java.awt.Graphics g)` Returns the minimum amount of horizontal space needed to display the cell in the given graphics context.
`java.lang.Object` | `getObjectData()`
`int` | `getPreferredHeight(java.awt.Graphics g, int width)` Returns the preferred amount of vertical space needed to display the cell in the given graphics context.
`int` | `getPreferredInputType()` Returns the preferred input type, RAW_DATA or FORMATTED_DATA, of the cell view's data.
`int` | `getPreferredOutputType()` Returns the preferred output type, RAW_DATA or FORMATTED_DATA, of the cell view's data.
`int` | `getPreferredWidth(java.awt.Graphics g, int height)` Returns the preferred amount of horizontal space needed to display the cell in the given graphics context.
`protected void` | `initValues()`
`boolean` | `isPartiallyDisplayed()` Indicates whether the cell's contents are currently displayed by the table view, but also clipped.
`void` | `onActiveStateChanged(int oldValue, int newValue, java.awt.Point point)` Notifies the view of a change to Cell.activeState.
`void` | `paint(java.awt.Graphics g)` Paint the ToggleButton in its current state based on the buttonModel.
`void` | `processFocusEvent(java.awt.event.FocusEvent e)` Processes focus events.
`void` | `processKeyEvent(java.awt.event.KeyEvent e)` Processes key events.
`void` | `processMouseEvent(java.awt.event.MouseEvent e)` Processes mouse events.
`void` | `processMouseMotionEvent(java.awt.event.MouseEvent e)` Processes mouse motion events.
`void` | `repaint()`
`void` | `setCell(Cell c)` Informs the view of the cell that owns it.
`void` | `setFormattedData(java.lang.String data)` Sets the cell view's data from a formatted string.
`void` | `setObjectData(java.lang.Object object)`

Methods inherited from class com.sas.visuals.GraphicalCheckBox
`getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getImageSet, paintFocus, setDefaultHeight, setDefaultWidth, setImageSet`

Methods inherited from class com.sas.visuals.ToggleButton
`buttonModelArmed, buttonModelPressed, clone, contentShift, getContentShift, getMinimumSize, getSelectionGroup, getSource, getTextBounds, paintBackground, setContentShift, setFont, setHorizontalTextAlignment, setSelected, setSelectionGroup, setSource, setText, setVerticalTextAlignment`

Methods inherited from class com.sas.visuals.BaseButton
`actionPerformed, addActionListener, addItemListener, addNotify, buttonModelDisabled, buttonModelRollover, computePreferredSize, detachModel, focusGained, focusLost, getActionCommand, getButtonListener, getButtonModel, getContentSize, getDefaultIcon, getDisabledIcon, getDisplayTransform, getFocusGap, getHorizontalAlignment, getHorizontalTextAlignment, getIconTextGap, getInsets, getItem, getKeyAccelerator, getPressedIcon, getRequiredInterfaces, getRolloverIcon, getSelectedIcon, getSelectedObjects, getText, getTextPosition, getVerticalAlignment, getVerticalTextAlignment, isBorderPainted, isFocusPainted, isFocusTraversable, isResizeToFit, isSelected, itemStateChanged, processActionEvent, processEvent, processItemEvent, propertyChange, refresh, refreshItem, removeActionListener, removeItemListener, resizeToFit, setActionCommand, setBorderPainted, setBounds, setButtonListener, setButtonModel, setDefaultIcon, setDefaultValues, setDisabledIcon, setDisplayTransform, setEnabled, setFocusGap, setFocusPainted, setHorizontalAlignment, setIconTextGap, setInsets, setItem, setKeyAccelerator, setPressedIcon, setResizeToFit, setRolloverIcon, setSelectedIcon, setTextPosition, setVerticalAlignment`

Methods inherited from class com.sas.awt.ContainerContainerComponent
`dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ContainerVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, print, printFinalize, printInitialize, queryLinks, queryLinks, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setComponentDescription, setComponentSupportInfo, setFocus, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.visuals.SelectableInterface
`getButtonModel, getDisplayTransform, getItem, setDisplayTransform, setItem`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setFocus, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### defaultImageView

    public static ImageView defaultImageView

### selectedImageView

    public static ImageView selectedImageView

Constructor Detail

### CheckBoxCell

    public CheckBoxCell()

Method Detail

### buttonModelSelected

    protected void buttonModelSelected(ButtonModelInterface btnModel)

  Description copied from class: `ToggleButton`
  Handles change in buttonModel selected property. Changes the light source of the border based on the buttonModel. Repaint the button if buttonModel is not disabled. Override to change the behavior when the model selected property changes.

  Overrides:
    `buttonModelSelected` in class `ToggleButton`
  Parameters:
    `btnModel` - the Button Model that changed.

### initValues

    protected void initValues()

### getCell

    public Cell getCell()

  Description copied from interface: `CellViewInterface`
  Returns the Cell this view is associated with.

  Specified by:
    `getCell` in interface `CellViewInterface`
  Returns:
    The Cell passed to initialize.
  See Also:
    `CellViewInterface.setCell(com.sas.table.Cell)`

### getObjectData

    public java.lang.Object getObjectData()

  Specified by:
    `getObjectData` in interface `com.sas.lang.ObjectDataInterface`

### setObjectData

    public void setObjectData(java.lang.Object object)

  Specified by:
    `setObjectData` in interface `com.sas.lang.ObjectDataInterface`

### getFormattedData

    public java.lang.String getFormattedData()

  Description copied from interface: `CellViewInterface`
  Returns the cell view's data as a formatted string. Should be called instead of getObjectData when the preferred output type is FORMATTED_DATA.

  Specified by:
    `getFormattedData` in interface `CellViewInterface`
  Returns:
    The formatted data String.
  See Also:
    `CellViewInterface.setFormattedData(java.lang.String)`

### getMinimumHeight

    public int getMinimumHeight(java.awt.Graphics g)

  Description copied from interface: `CellViewInterface`
  Returns the minimum amount of vertical space needed to display the cell in the given graphics context.

  Specified by:
    `getMinimumHeight` in interface `CellViewInterface`
  Parameters:
    `g` - The graphics context to measure the cell in.
  Returns:
    The cell's minimum height in pixels.

### getMinimumWidth

    public int getMinimumWidth(java.awt.Graphics g)

  Description copied from interface: `CellViewInterface`
  Returns the minimum amount of horizontal space needed to display the cell in the given graphics context.

  Specified by:
    `getMinimumWidth` in interface `CellViewInterface`
  Parameters:
    `g` - The graphics context to measure the cell in.
  Returns:
    The cell's minimum width in pixels.

### getPreferredHeight

    public int getPreferredHeight(java.awt.Graphics g,
                                  int width)

  Description copied from interface: `CellViewInterface`
  Returns the preferred amount of vertical space needed to display the cell in the given graphics context. The width parameter allows the question "assuming this much horizontal space, how tall would the cell be" to be answered.

  Specified by:
    `getPreferredHeight` in interface `CellViewInterface`
  Parameters:
    `g` - The graphics context to measure the cell in.
    `width` - The width (in pixels) to constrain by. Specify -1 to not constrain.
  Returns:
    The cell's preferred height in pixels.

### getPreferredInputType

    public int getPreferredInputType()

  Description copied from interface: `CellViewInterface`
  Returns the preferred input type, RAW_DATA or FORMATTED_DATA, of the cell view's data. If RAW_DATA is returned, then setObjectData should be used to specify the cell view's data, otherwise use setFormattedData.

  Specified by:
    `getPreferredInputType` in interface `CellViewInterface`
  Returns:
    RAW_DATA or FORMATTED_DATA.

### getPreferredOutputType

    public int getPreferredOutputType()

  Description copied from interface: `CellViewInterface`
  Returns the preferred output type, RAW_DATA or FORMATTED_DATA, of the cell view's data. If RAW_DATA is returned, then getObjectData should be used to query the cell view's data, otherwise use getFormattedData.

  Specified by:
    `getPreferredOutputType` in interface `CellViewInterface`
  Returns:
    RAW_DATA or FORMATTED_DATA.

### paint

    public void paint(java.awt.Graphics g)

  Description copied from class: `ToggleButton`
  Paint the ToggleButton in its current state based on the buttonModel.

  Specified by:
    `paint` in interface `CellViewInterface`
  Overrides:
    `paint` in class `ToggleButton`
  Parameters:
    `g` - the Graphics context.
  See Also:
    `VisualInterfaceSupport.paint(com.sas.ComponentInterface, com.sas.awt.VisualInterface, java.awt.Component, java.awt.Graphics)`

### getPreferredWidth

    public int getPreferredWidth(java.awt.Graphics g,
                                 int height)

  Description copied from interface: `CellViewInterface`
  Returns the preferred amount of horizontal space needed to display the cell in the given graphics context. The height parameter allows the question "assuming this much vertical space, how wide would the cell be" to be answered.

  Specified by:
    `getPreferredWidth` in interface `CellViewInterface`
  Parameters:
    `g` - The graphics context to measure the cell in.
    `height` - The height (in pixels) to constrain by. Specify -1 to not constrain.
  Returns:
    The cell's preferred width in pixels.

### processFocusEvent

    public void processFocusEvent(java.awt.event.FocusEvent e)

  Description copied from interface: `CellViewInterface`
  Processes focus events.

  Specified by:
    `processFocusEvent` in interface `CellViewInterface`
  Overrides:
    `processFocusEvent` in class `java.awt.Component`
  Parameters:
    `e` - The focus event.

### processKeyEvent

    public void processKeyEvent(java.awt.event.KeyEvent e)

  Description copied from interface: `CellViewInterface`
  Processes key events.

  Specified by:
    `processKeyEvent` in interface `CellViewInterface`
  Overrides:
    `processKeyEvent` in class `java.awt.Component`
  Parameters:
    `e` - The key event.

### processMouseMotionEvent

    public void processMouseMotionEvent(java.awt.event.MouseEvent e)

  Description copied from interface: `CellViewInterface`
  Processes mouse motion events.

  Specified by:
    `processMouseMotionEvent` in interface `CellViewInterface`
  Overrides:
    `processMouseMotionEvent` in class `java.awt.Component`
  Parameters:
    `e` - The mouse motion event.

### processMouseEvent

    public void processMouseEvent(java.awt.event.MouseEvent e)

  Description copied from interface: `CellViewInterface`
  Processes mouse events.

  Specified by:
    `processMouseEvent` in interface `CellViewInterface`
  Overrides:
    `processMouseEvent` in class `java.awt.Component`
  Parameters:
    `e` - The mouse event.

### repaint

    public void repaint()

  Overrides:
    `repaint` in class `java.awt.Component`

### onActiveStateChanged

    public void onActiveStateChanged(int oldValue,
                                     int newValue,
                                     java.awt.Point point)

  Description copied from interface: `CellViewInterface`
  Notifies the view of a change to Cell.activeState.

  Specified by:
    `onActiveStateChanged` in interface `CellViewInterface`
  Parameters:
    `oldValue` - The previous value of Cell.activeState.
    `newValue` - The new value of Cell.activeState.
    `point` - Optional xy-coordinate (relative to the view's origin) where the activation was initiated. Could be used to position a text cursor, for example.

### setCell

    public void setCell(Cell c)

  Description copied from interface: `CellViewInterface`
  Informs the view of the cell that owns it. The view can use cell as a source of services such as what formatting properties to use (font, color, justification, margins, etc.). Normally setCell is called once immediately after the view is constructed.

  Specified by:
    `setCell` in interface `CellViewInterface`
  Parameters:
    `c` - Cell instance that owns this view.
  See Also:
    `CellViewInterface.getCell()`

### setFormattedData

    public void setFormattedData(java.lang.String data)

  Description copied from interface: `CellViewInterface`
  Sets the cell view's data from a formatted string. Should be called instead of setObjectData when the preferred input type is FORMATTED_DATA.

  Specified by:
    `setFormattedData` in interface `CellViewInterface`
  Parameters:
    `data` - The formatted data String.
  See Also:
    `CellViewInterface.getFormattedData()`

### isPartiallyDisplayed

    public boolean isPartiallyDisplayed()

  Indicates whether the cell's contents are currently displayed by the table view, but also clipped. In other words, the cell is scrolled into view but its contents are clipped within its current bounds

  Specified by:
    `isPartiallyDisplayed` in interface `CellViewInterface`
  Returns:
    always returns `false`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.